# Now Playing

## Unified Metadata

## On Air

<mark style="color:blue;">`GET`</mark> `https://data.bff.fm/api/data/onair/now.json`

An endpoint which will return what's currently playing on BFF.fm at the finest fidelity available: the track, or current playing show.

#### Query Parameters

| Name    | Type   | Description                                                                                                                                       |
| ------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| app\_id | String | You may include this parameter to identify your app in our stats, so that we can understand who's building cool stuff for BFF.fm and feature you! |

{% tabs %}
{% tab title="200: OK " %}
Example Track response

```
{
   title: I NEED YOU TO (BREONNA TAYLOR)
   attribution: Tobe Nwigwe
   collection: THE PANDEMIC PROJECT
   licensor: Self Released
   image: https://a.bff.fm/…/album.jpg
   url: https://bff.fm/broadcasts/234345324
   type: track
}
```

Example Show response

```
{
   title: No Magic
   attribution: Ben Ward
   collection: BFF.fm
   licensor: BFF.fm
   image: https://a.bff.fm/…/logo.jpg
   url: https://bff.fm/shows/nomagic
   type: show
}
```

{% endtab %}
{% endtabs %}

## Track Metadata

## Detailed Metadata

<mark style="color:blue;">`GET`</mark> `https://data.bff.fm/api/data/tracks/detail.text`

What's currently playing on the BFF.fm stream.

#### Query Parameters

| Name    | Type   | Description                                                                                                                                       |
| ------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| app\_id | string | You may include this parameter to identify your app in our stats, so that we can understand who's building cool stuff for BFF.fm and feature you! |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
Title: There Goes The Fear
Artist: Doves
Album: The Last Broadcast
Label: Heavenly
Artwork: https://a.bff.fm/image/original/trs2.jpg
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
See Also: [Audio Hijack Pro's “Now Playing.txt” documentation](https://rogueamoeba.com/support/knowledgebase/?showArticle=AHBroadcastNotes#nowplayingfile).
{% endhint %}

## One-Line Summary

<mark style="color:blue;">`GET`</mark> `https://data.bff.fm/api/data/tracks/now.text`

A single-line summary of what's playing on BFF.fm. `Track Name` followed by `Artist`, separated by `-`.

#### Query Parameters

| Name    | Type   | Description                                                                                                                                       |
| ------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| app\_id | string | You may include this parameter to identify your app in our stats, so that we can understand who's building cool stuff for BFF.fm and feature you! |

{% tabs %}
{% tab title="200 " %}

```
Because It's Not Love (But It's Still A Feeling) - The Pipettes
```

{% endtab %}
{% endtabs %}

## JSON structured Detailed Metadata

<mark style="color:blue;">`GET`</mark> `https://data.bff.fm/api/data/tracks/now.json`

The current artist, track, album and record label being played on BFF.fm

#### Query Parameters

| Name    | Type   | Description                                                                                                                                       |
| ------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| app\_id | String | You may include this parameter to identify your app in our stats, so that we can understand who's building cool stuff for BFF.fm and feature you! |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.bff.fm/api/now-playing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
